cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to update magento to 2.2.3

Unable to update magento to 2.2.3

Need help in updating the magento version 2.2.3 we're getting error below is the steps that we did.

 

Steps we followed
1. we disable all third party and overide modules
2. we update magento version to 2.2.3 by composer
3. we update theme as per magento version
4. Enable all modules and upgrade and compile but we have compilation error.

 

Logs and screenshot can be found on the below link.

 

 https://mega.nz/#F!FhZTQZCZ!u7NV4H-c53paaIYl7M5imQ

 

 

Error1.jpegErro2.jpegError3.jpeg

 

10 REPLIES

Re: Unable to update magento to 2.2.3

Hi @bester_john

 

Seems like your screenshot it not visible to us , can you please post error log which you are getting or post screenshot some where else and share the link.

 

so it would helps us to trouble shoot the issue

if issue solved,Click Kudos & Accept as Solution
Tags (2)

Re: Unable to update magento to 2.2.3

I uploaded in mega all error logs and screenshot, can you please help?

Re: Unable to update magento to 2.2.3

Hi @bester_john

 

looking at the logs you have localized exception error while doing compilation.

 

kindly run below commands in sequentially.

 

  1.  Remove generate directory by running command  rm -rf generated
  2.  Remove cache directories  rm -rf var/cache , page_cache , view_processed
  3.  Run php bin/magento setup:upgrade
  4.  Run php bin/magento  setup:di:compile
  5.  Run php bin/magento setup:static-content:deploy -f
  6.  Run php bin/magento cache:clean
  7.  Run php bin/magento cache:flush

then check , it will works !!

if issue solved,Click Kudos & Accept as Solution

Re: Unable to update magento to 2.2.3

We've done this and it didn't work.

Re: Unable to update magento to 2.2.3

Hi @bester_john

 

Are you using any third party theme ?

if issue solved,Click Kudos & Accept as Solution

Re: Unable to update magento to 2.2.3

We are using "CLAUE" theme

Re: Unable to update magento to 2.2.3

Hi @bester_john

 

yes , seems like theme MGS theme have provided patch for magento 2.2 version with there latest theme  edition.

 

kindly check this link - https://themeforest.net/item/claue-clean-minimal-magento-2-theme/20155150/comments?page=10

 

find for  "MGS\Mpanel\Block\Framework\Page::render(M" -  you will see there comments on the link.

 

This might help you 

if issue solved,Click Kudos & Accept as Solution

Re: Unable to update magento to 2.2.3

We do have the patch installed, we have problem with setup upgrade any more insights?

Re: Unable to update magento to 2.2.3

@bester_john - okay i understand !!

 

actually you have issue with the theme only , if you wanted to check then do one thing remove you custom theme (MSG) - then run all the commands and check.

 

the error you are facing is because of theme only , so once you remove this theme and set the Magento 2 Native Luma theme it will works for you.

 

 

if issue solved,Click Kudos & Accept as Solution